%define gtk2_version 2.6.0
%define libglade2_version 2.3.6
%define gconf2_version 2.14.0
%define libgnomeui_version 2.6.0
%define libgcrypt_version 1.2.0

Summary: A remote desktop system for GNOME
Name: vino
Version: 2.13.5
Release: 7%{?dist}
URL: http://www.gnome.org
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-root

Requires(pre): GConf2 >= %{gconf2_version}
Requires(post): GConf2 >= %{gconf2_version}
Requires(preun): GConf2 >= %{gconf2_version}

Requires: gtk2 >= %{gtk2_version}
Requires: libglade2 >= %{libglade2_version}
Requires: GConf2 >= %{gconf2_version}
Requires: libgnomeui >= %{libgnomeui_version}
Requires: libgcrypt >= %{libgcrypt_version}

BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libglade2-devel >= %{libglade2_version}
BuildRequires: GConf2-devel >= %{gconf2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: libgcrypt-devel >= %{libgcrypt_version}
BuildRequires: libXt-devel, libXtst-devel, libXdamage-devel, avahi-glib-devel
BuildRequires: desktop-file-utils
BuildRequires: perl-XML-Parser
BuildRequires: gettext
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: intltool
BuildRequires: gnutls-devel

Prereq: gtk2 >= %{gtk2_version}

# fixed in upstream cvs
Patch0: vino-2.13.5-login-hang.patch
Patch1: add-status-icon.patch

%description
Vino is a VNC server for GNOME. It allows remote users to
connect to a running GNOME session using VNC.

%prep
%setup -q
%patch0 -p1 -b .login-hang.patch
%patch1 -p1 -b .add-status-icon

%build
autoreconf -i 
intltoolize --force
%configure                   \
  --enable-avahi             \
  --disable-gnutls           \
  --disable-session-support  \
  --disable-http-server
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor gnome --delete-original                   \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications                         \
  --add-only-show-in GNOME                                              \
  --add-category X-Red-Hat-Base                                         \
  $RPM_BUILD_ROOT%{_datadir}/applications/vino-preferences.desktop

# stuff we don't want
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/vino/vino-client.*

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/vino-server.schemas > /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/vino-server.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/vino-server.schemas > /dev/null || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README docs/TODO docs/remote-desktop.txt
%{_datadir}/gnome/vino/*.glade
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor
%{_libdir}/bonobo/servers/*.server
%{_bindir}/*
%{_libexecdir}/*
%{_sysconfdir}/gconf/schemas/*.schemas

%changelog
* Thu Apr 16 2009 Soren Sandmann <ssp@redhat.com> - 2.13.6-7
- Backport status icon code, using vino-status-icon.[ch] from 2.20. 
  Bug #426256

* Wed Oct 18 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.5-6
- Fix scripts according to the packaging guidelines

* Tue Oct 17 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.5-5
- Fix #191160

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.13.5-4.1
- rebuild

* Sat Jun 10 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.5-4
- More missing BuildRequires

* Mon May 22 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.5-3
- Add missing BuildRequires

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.13.5-2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.13.5-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 17 2006 Mark McLoughlin <markmc@redhat.com> 2.13.5-2
- Build with --enable-avahi

* Tue Jan 17 2006 Matthias Clasen <mclasen@redhat.com> 2.13.5-1
- Update to 2.13.5

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Sep 26 2005 Mark McLoughlin <markmc@redhat.com> 2.12.0-2
- Add patch from Alexandre Oliva <oliva@lsd.ic.unicamp.br> to fix
  more keyboard brokeness (#158713)

* Wed Sep  7 2005 Matthias Clasen <mclasen@redhat.com> 2.12.0-1
- Update to 2.12.0

* Wed Aug 17 2005 Matthias Clasen <mclasen@redhat.com> 2.11.90-2
- Rebuild

* Thu Aug  4 2005 Matthias Clasen <mclasen@redhat.com> 2.11.90-1
- New upstream version

* Mon Jul 11 2005 Matthias Clasen <mclasen@redhat.com> 2.11.1.2-1
- Newer upstream version
- Drop upstreamed patches

* Fri May 20 2005 Mark McLoughlin <markmc@redhat.com> 2.10.0-4
- Fix various keyboarding handling issues:
   + bug #142974: caps lock not working
   + bug #140515: shift not working with some keys
   + bug #134451: over-eager key repeating

* Wed Apr 27 2005 Jeremy Katz <katzj@redhat.com> - 2.10.0-3
- silence %%post

* Mon Mar 28 2005 Christopher Aillon <caillon@redhat.com>
- rebuilt

* Fri Mar 25 2005 Christopher Aillon <caillon@redhat.com> 2.10.0-1
- Update to 2.10.0
- Update the GTK+ theme icon cache on (un)install

* Wed Mar  2 2005 Mark McLoughlin <markmc@redhat.com> 2.9.2-2
- Rebuild with gcc4

* Thu Jan 27 2005 Matthias Clasen <mclasen@redhat.com> 2.9.2-1
- Update to 2.9.2

* Tue Oct 12 2004 Mark McLoughlin <markmc@redhat.com> 2.8.1-1
- Update to 2.8.1
- Remove backported fixes

* Thu Oct  7 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0.1-1.1
- Don't hang with metacity's "reduced resources" mode (#134240) 
- Improve the key repeat rate situation a good deal (#134451)

* Wed Sep 29 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0.1-1
- Update to 2.8.0.1

* Tue Sep 21 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0-1
- Update to 2.8.0
- Remove upstreamed work-without-gnutls patch

* Tue Sep  7 2004 Matthias Clasen <mclasen@redhat.com> 2.7.92-3
- Disable help button until there is help (#131632)
 
* Wed Sep  1 2004 Mark McLoughlin <markmc@redhat.com> 2.7.92-2
- Add patch to fix hang without GNU TLS (bug #131354)

* Mon Aug 30 2004 Mark McLoughlin <markmc@redhat.com> 2.7.92-1
- Update to 2.7.92

* Tue Aug 17 2004 Mark McLoughlin <markmc@redhat.com> 2.7.91-1
- Update to 2.7.91

* Mon Aug 16 2004 Mark McLoughlin <markmc@redhat.com> 2.7.90-2
- Define libgcrypt_version

* Thu Aug 12 2004 Mark McLoughlin <markmc@redhat.com> 2.7.90-1
- Update to 2.7.90

* Wed Aug  4 2004 Mark McLoughlin <markmc@redhat.com> 2.7.4-1
- Update to 2.7.4

* Tue Jul 13 2004 Mark McLoughlin <markmc@redhat.com> 2.7.3.1-1
- Initial build.
